Bug 962252 - (ghc-dbus) Review Request: ghc-dbus - Haskell client library for the D-Bus IPC system
Review Request: ghc-dbus - Haskell client library for the D-Bus IPC system
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On: ghc-libxml-sax
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-12 20:59 EDT by Dan Callaghan
Modified: 2013-09-22 20:15 EDT (History)
2 users (show)

See Also:
Fixed In Version: ghc-dbus-0.10.4-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-18 09:00:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2013-05-12 20:59:54 EDT
Spec URL: http://fedorapeople.org/~dcallagh/ghc-dbus/ghc-dbus.spec
SRPM URL: http://fedorapeople.org/~dcallagh/ghc-dbus/ghc-dbus-0.10.4-1.fc18.src.rpm
Description: D-Bus is a simple, message-based protocol for inter-process communication, which allows applications to interact with other parts of the machine and the user's session using remote procedure calls.
This library is an implementation of the D-Bus protocol in Haskell. It can be used to add D-Bus support to Haskell applications, without the awkward interfaces common to foreign bindings.
Fedora Account System Username: dcallagh
Comment 1 Jens Petersen 2013-07-09 06:17:08 EDT
I am afraid you will have to update this using latest cabal-rpm
to follow the newly approved Haskell Packaging Guidelines.
Comment 3 Jens Petersen 2013-09-04 03:02:48 EDT
Looks good to me.  This can be used by git-annex
and I think is the best Haskell dbus binding available and maintained.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Issues:
=======
- Static libraries in -static or -devel subpackage, providing -devel if
  present.
  Note: Package has .a files: ghc-dbus-devel. Does not provide -static: ghc-
  dbus-devel.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries

Allowed for ghc Haskell libraries.

- Large documentation must go in a -doc subpackage. Large could be size (~1MB)
  or number of files.
  Note: Documentation size is 1832960 bytes in 56 files.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

Still small compared to .a files.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/ghc-7.6.3/package.conf.d,
     /usr/lib64/ghc-7.6.3

(Owned by ghc-compiler and ghc-base respectively.)

[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/ghc-7.6.3,
     /usr/lib64/ghc-7.6.3/package.conf.d
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 1873920 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-dbus-0.10.4-2.fc21.x86_64.rpm
          ghc-dbus-devel-0.10.4-2.fc21.x86_64.rpm
          ghc-dbus-0.10.4-2.fc21.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ghc-dbus-devel ghc-dbus
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
ghc-dbus-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(dbus-0.10.4-173afee52ea2324ff98d64b2be3833cb)
    ghc-compiler
    ghc-dbus(x86-64)
    ghc-devel(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc-devel(bytestring-0.10.0.2-4f93248f75667c2c3321a7a6761b576f)
    ghc-devel(cereal-0.3.5.2-fc098c2a100f7672fe91a2ff0d514d7e)
    ghc-devel(containers-0.5.0.0-ab1dae9a94cd3cc84e7b2805636ebfa2)
    ghc-devel(libxml-sax-0.7.4-f25ac7062dd49686910dc3e110acca3c)
    ghc-devel(network-2.4.1.2-ceff6721a9d15c92aeb91b7ff1b8e52b)
    ghc-devel(parsec-3.1.3-441f1388bc13de47c52a9ba8a23194f4)
    ghc-devel(random-1.0.1.1-43fdc5da991685d8a0ec8cb553880cf8)
    ghc-devel(text-0.11.3.1-e38859e86485c167fa7c9441789e7607)
    ghc-devel(transformers-0.3.0.0-387c76a892254b0b8fe4d66f4780ad17)
    ghc-devel(unix-2.6.0.1-4f219f792083f70ec440ce406f12ce57)
    ghc-devel(vector-0.10.0.1-869166d5d49db46ce6c328ea5f8defbf)
    ghc-devel(xml-types-0.3.3-7b14ed2f9343ec2abad5883df6726a1f)

ghc-dbus (rpmlib, GLIBC filtered):
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc(bytestring-0.10.0.2-4f93248f75667c2c3321a7a6761b576f)
    ghc(cereal-0.3.5.2-fc098c2a100f7672fe91a2ff0d514d7e)
    ghc(containers-0.5.0.0-ab1dae9a94cd3cc84e7b2805636ebfa2)
    ghc(libxml-sax-0.7.4-f25ac7062dd49686910dc3e110acca3c)
    ghc(network-2.4.1.2-ceff6721a9d15c92aeb91b7ff1b8e52b)
    ghc(parsec-3.1.3-441f1388bc13de47c52a9ba8a23194f4)
    ghc(random-1.0.1.1-43fdc5da991685d8a0ec8cb553880cf8)
    ghc(text-0.11.3.1-e38859e86485c167fa7c9441789e7607)
    ghc(transformers-0.3.0.0-387c76a892254b0b8fe4d66f4780ad17)
    ghc(unix-2.6.0.1-4f219f792083f70ec440ce406f12ce57)
    ghc(vector-0.10.0.1-869166d5d49db46ce6c328ea5f8defbf)
    ghc(xml-types-0.3.3-7b14ed2f9343ec2abad5883df6726a1f)
    libHSarray-0.4.0.1-ghc7.6.3.so()(64bit)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSbytestring-0.10.0.2-ghc7.6.3.so()(64bit)
    libHScereal-0.3.5.2-ghc7.6.3.so()(64bit)
    libHScontainers-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSdeepseq-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSlibxml-sax-0.7.4-ghc7.6.3.so()(64bit)
    libHSmtl-2.1.2-ghc7.6.3.so()(64bit)
    libHSnetwork-2.4.1.2-ghc7.6.3.so()(64bit)
    libHSold-locale-1.0.0.5-ghc7.6.3.so()(64bit)
    libHSparsec-3.1.3-ghc7.6.3.so()(64bit)
    libHSprimitive-0.5.0.1-ghc7.6.3.so()(64bit)
    libHSrandom-1.0.1.1-ghc7.6.3.so()(64bit)
    libHStext-0.11.3.1-ghc7.6.3.so()(64bit)
    libHStime-1.4.0.1-ghc7.6.3.so()(64bit)
    libHStransformers-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSunix-2.6.0.1-ghc7.6.3.so()(64bit)
    libHSvector-0.10.0.1-ghc7.6.3.so()(64bit)
    libHSxml-types-0.3.3-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgmp.so.10()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libutil.so.1()(64bit)
    libxml2.so.2()(64bit)
    rtld(GNU_HASH)



Provides
--------
ghc-dbus-devel:
    ghc-dbus-devel
    ghc-dbus-devel(x86-64)
    ghc-devel(dbus-0.10.4-173afee52ea2324ff98d64b2be3833cb)

ghc-dbus:
    ghc(dbus-0.10.4-173afee52ea2324ff98d64b2be3833cb)
    ghc-dbus
    ghc-dbus(x86-64)
    libHSdbus-0.10.4-ghc7.6.3.so()(64bit)



Unversioned so-files
--------------------
ghc-dbus: /usr/lib64/ghc-7.6.3/dbus-0.10.4/libHSdbus-0.10.4-ghc7.6.3.so

Source checksums
----------------
http://hackage.haskell.org/packages/archive/dbus/0.10.4/dbus-0.10.4.tar.gz :
  CHECKSUM(SHA256) this package     : 4ec887442939a15243be2af6824a8cf8bc3f3c9841f8496540acb71ae6d36433
  CHECKSUM(SHA256) upstream package : 4ec887442939a15243be2af6824a8cf8bc3f3c9841f8496540acb71ae6d36433


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 962252
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG


Package APPROVED
Comment 4 Dan Callaghan 2013-09-04 03:14:28 EDT
Thanks Jens!

(In reply to Jens Petersen from comment #3)
> [?]: Package functions as described.

It definitely works, I've been using it on my desktop with xmonad-log-applet. :-)
Comment 5 Dan Callaghan 2013-09-04 03:17:47 EDT
New Package SCM Request
=======================
Package Name: ghc-dbus
Short Description: Haskell client library for the D-Bus IPC system
Owners: dcallagh
Branches: f18 f19 f20
InitialCC:
Comment 6 Gwyn Ciesla 2013-09-04 08:40:28 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-09-09 00:32:41 EDT
ghc-dbus-0.10.4-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ghc-dbus-0.10.4-2.fc20
Comment 8 Fedora Update System 2013-09-09 00:33:44 EDT
ghc-dbus-0.10.4-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghc-dbus-0.10.4-2.fc19
Comment 9 Fedora Update System 2013-09-09 00:35:03 EDT
ghc-dbus-0.10.4-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-dbus-0.10.4-2.fc18
Comment 10 Fedora Update System 2013-09-09 19:51:29 EDT
ghc-dbus-0.10.4-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 11 Fedora Update System 2013-09-18 08:57:09 EDT
ghc-dbus-0.10.4-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 12 Fedora Update System 2013-09-18 09:00:30 EDT
ghc-dbus-0.10.4-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 13 Fedora Update System 2013-09-22 20:15:29 EDT
ghc-dbus-0.10.4-2.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.